# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_fsrmautoquota`](#dsc_fsrmautoquota): The DSC FSRMAutoQuota resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmclassification`](#dsc_fsrmclassification): The DSC FSRMClassification resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmclassificationproperty`](#dsc_fsrmclassificationproperty): The DSC FSRMClassificationProperty resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmclassificationpropertyvalue`](#dsc_fsrmclassificationpropertyvalue): The DSC FSRMClassificationPropertyValue resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmclassificationrule`](#dsc_fsrmclassificationrule): The DSC FSRMClassificationRule resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmfilegroup`](#dsc_fsrmfilegroup): The DSC FSRMFileGroup resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmfilescreen`](#dsc_fsrmfilescreen): The DSC FSRMFileScreen resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmfilescreenaction`](#dsc_fsrmfilescreenaction): The DSC FSRMFileScreenAction resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmfilescreenexception`](#dsc_fsrmfilescreenexception): The DSC FSRMFileScreenException resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmfilescreentemplate`](#dsc_fsrmfilescreentemplate): The DSC FSRMFileScreenTemplate resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmfilescreentemplateaction`](#dsc_fsrmfilescreentemplateaction): The DSC FSRMFileScreenTemplateAction resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmquota`](#dsc_fsrmquota): The DSC FSRMQuota resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmquotaaction`](#dsc_fsrmquotaaction): The DSC FSRMQuotaAction resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmquotatemplate`](#dsc_fsrmquotatemplate): The DSC FSRMQuotaTemplate resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmquotatemplateaction`](#dsc_fsrmquotatemplateaction): The DSC FSRMQuotaTemplateAction resource type. Automatically generated from version 2.3.0.132
* [`dsc_fsrmsettings`](#dsc_fsrmsettings): The DSC FSRMSettings resource type. Automatically generated from version 2.3.0.132

## Resource types

### `dsc_fsrmautoquota`

The DSC FSRMAutoQuota resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmautoquota` type.

##### `dsc_disabled`

Data type: `Optional[Boolean]`

Disables the FSRM Quota applied to this path.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Quota should exist.

##### `dsc_template`

Data type: `Optional[String]`

The name of the FSRM Quota Template to apply to this path.

#### Parameters

The following parameters are available in the `dsc_fsrmautoquota` type.

##### `dsc_path`

namevar

Data type: `String`

The path this FSRM Quota applies to.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmclassification`

The DSC FSRMClassification resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmclassification` type.

##### `dsc_continuous`

Data type: `Optional[Boolean]`

Enable FSRM Classification continuous mode for new files.

##### `dsc_continuouslog`

Data type: `Optional[Boolean]`

Enable FSRM Classification continuous mode logging.

##### `dsc_continuouslogsize`

Data type: `Optional[Integer[0, 4294967295]]`

The maximum number of KB that can be used for the continuous mode log file.

##### `dsc_excludenamespace`

Data type: `Optional[Array[String]]`

An array of Namespaces that will be excluded from FSRM Classification.

##### `dsc_lasterror`

Data type: `Optional[String]`

 

##### `dsc_schedulemonthly`

Data type: `Optional[Array[Integer[0, 4294967295]]]`

An array of days of the month the FSRM Classification should run on.

##### `dsc_schedulerunduration`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

The maximum number of hours the FSRM Classification can run for. Setting this to -1 will disable this.

##### `dsc_scheduletime`

Data type: `Optional[String]`

A string containing the time of day the FSRM Classification should run at.

##### `dsc_scheduleweekly`

Data type: `Optional[Array[String]]`

An array of named days of the week the FSRM Classification should run on.

##### `dsc_status`

Data type: `Optional[String]`

 

#### Parameters

The following parameters are available in the `dsc_fsrmclassification` type.

##### `dsc_id`

namevar

Data type: `String`

This is a unique identifier for this resource.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmclassificationproperty`

The DSC FSRMClassificationProperty resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmclassificationproperty` type.

##### `dsc_description`

Data type: `Optional[String]`

The description for the FSRM Classification Property.

##### `dsc_displayname`

Data type: `Optional[String]`

The display name for the FSRM Classification Property.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Classification Property should exist.

##### `dsc_parameters`

Data type: `Optional[Array[String]]`

An array of parameters in the format <name>=<value> that can be used by the File Classification Infrastructure.

##### `dsc_possiblevalue`

Data type: `Optional[Array[String]]`

An array of possible values that this FSRM Classification Property can take on.

##### `dsc_type`

Data type: `Enum['OrderedList', 'MultiChoice', 'SingleChoice', 'String', 'MultiString', 'Integer', 'YesNo', 'DateTime']`

The type of the FSRM Classification Property.

#### Parameters

The following parameters are available in the `dsc_fsrmclassificationproperty` type.

##### `dsc_name`

namevar

Data type: `String`

The name of the FSRM Classification Property.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmclassificationpropertyvalue`

The DSC FSRMClassificationPropertyValue resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmclassificationpropertyvalue` type.

##### `dsc_description`

Data type: `Optional[String]`

The description of the FSRM Classification Property value.

##### `dsc_displayname`

Data type: `Optional[String]`

The FSRM Classification Property value Display Name.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Classification Property value should exist.

#### Parameters

The following parameters are available in the `dsc_fsrmclassificationpropertyvalue` type.

##### `dsc_name`

namevar

Data type: `String`

The FSRM Classification Property value Name.

##### `dsc_propertyname`

namevar

Data type: `String`

The name of the FSRM Classification Property the value applies to.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmclassificationrule`

The DSC FSRMClassificationRule resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmclassificationrule` type.

##### `dsc_classificationmechanism`

Data type: `Optional[String]`

Specifies the name of a valid classification mechanism available on the server for assigning the property value.

##### `dsc_contentregularexpression`

Data type: `Optional[Array[String]]`

An array of regular expressions for pattern matching.

##### `dsc_contentstring`

Data type: `Optional[Array[String]]`

An array of strings for the content classifier to search for.

##### `dsc_contentstringcasesensitive`

Data type: `Optional[Array[String]]`

An array of case sensitive strings for the content classifier to search for.

##### `dsc_description`

Data type: `Optional[String]`

The description for the FSRM Classification Rule.

##### `dsc_disabled`

Data type: `Optional[Boolean]`

Indicates that the classification rule is disabled.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Classification Rule should exist.

##### `dsc_flags`

Data type: `Optional[Array[String]]`

An array of flags that defines the possible states of the rule.

##### `dsc_namespace`

Data type: `Optional[Array[String]]`

An array of namespaces where the rule is applied.

##### `dsc_parameters`

Data type: `Optional[Array[String]]`

An array of parameters in the format <name>=<value> that can be used by the File Classification Infrastructure.

##### `dsc_property`

Data type: `Optional[String]`

Specifies the name of a classification property definition to set.

##### `dsc_propertyvalue`

Data type: `Optional[String]`

Specifies the property value that the rule will assign.

##### `dsc_reevaluateproperty`

Data type: `Optional[Enum['Never', 'Overwrite', 'Aggregate']]`

Specifies the evaluation policy of the rule.

#### Parameters

The following parameters are available in the `dsc_fsrmclassificationrule` type.

##### `dsc_name`

namevar

Data type: `String`

The name of the FSRM Classification Rule.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmfilegroup`

The DSC FSRMFileGroup resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmfilegroup` type.

##### `dsc_description`

Data type: `Optional[String]`

The description for the FSRM File Group.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM File Group should exist.

##### `dsc_excludepattern`

Data type: `Optional[Array[String]]`

An array of file patterns to exclude in this FSRM File Group.

##### `dsc_includepattern`

Data type: `Optional[Array[String]]`

An array of file patterns to include in this FSRM File Group.

#### Parameters

The following parameters are available in the `dsc_fsrmfilegroup` type.

##### `dsc_name`

namevar

Data type: `String`

The name of the FSRM File Group.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmfilescreen`

The DSC FSRMFileScreen resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmfilescreen` type.

##### `dsc_active`

Data type: `Optional[Boolean]`

Boolean setting that controls if server should fail any I/O operations if the File Screen is violated.

##### `dsc_description`

Data type: `Optional[String]`

An optional description for this FSRM File Screen.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM File Screen should exist.

##### `dsc_includegroup`

Data type: `Optional[Array[String]]`

An array of File Groups to include in this File Screen.

##### `dsc_matchestemplate`

Data type: `Optional[Boolean]`

Causes the template to use only the template name and Active and Ignore Groups parameters.

##### `dsc_template`

Data type: `Optional[String]`

The name of the FSRM File Screen Template to apply to this path.

#### Parameters

The following parameters are available in the `dsc_fsrmfilescreen` type.

##### `dsc_path`

namevar

Data type: `String`

The path this FSRM File Screen applies to.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmfilescreenaction`

The DSC FSRMFileScreenAction resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmfilescreenaction` type.

##### `dsc_body`

Data type: `Optional[String]`

The body text of the e-mail or event. Required when Type is Email or Event.

##### `dsc_command`

Data type: `Optional[String]`

The Command to execute. Required when Type is Command.

##### `dsc_commandparameters`

Data type: `Optional[String]`

The Command Parameters. Required when Type is Command.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Action should exist.

##### `dsc_eventtype`

Data type: `Optional[Enum['None', 'Information', 'Warning', 'Error']]`

The type of event created. Required when Type is Event.

##### `dsc_killtimeout`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Int containing kill timeout of the command. Required when Type is Command.

##### `dsc_mailbcc`

Data type: `Optional[String]`

The mail BCC of the e-mail sent. Required when Type is Email.

##### `dsc_mailcc`

Data type: `Optional[String]`

The mail CC of the e-mail sent. Required when Type is Email.

##### `dsc_mailto`

Data type: `Optional[String]`

The mail to of the e-mail sent. Required when Type is Email.

##### `dsc_reporttypes`

Data type: `Optional[Array[String]]`

Array of Reports to create. Required when Type is Report.

##### `dsc_runlimitinterval`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Int containing the run limit interval of the command. Required when Type is Command.

##### `dsc_securitylevel`

Data type: `Optional[Enum['None', 'LocalService', 'NetworkService', 'LocalSystem']]`

The security level the command runs under. Required when Type is Command.

##### `dsc_shouldlogerror`

Data type: `Optional[Boolean]`

The working directory of the command. Required when Type is Command.

##### `dsc_subject`

Data type: `Optional[String]`

The subject of the e-mail sent. Required when Type is Email.

##### `dsc_workingdirectory`

Data type: `Optional[String]`

The type of event created. Required when Type is Event.

#### Parameters

The following parameters are available in the `dsc_fsrmfilescreenaction` type.

##### `dsc_path`

namevar

Data type: `String`

The path of the FSRM File Screen the action applies to.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_type`

namevar

Data type: `Enum['Email', 'Event', 'Command', 'Report']`

The type of FSRM Action.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmfilescreenexception`

The DSC FSRMFileScreenException resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmfilescreenexception` type.

##### `dsc_description`

Data type: `Optional[String]`

An optional description for this FSRM File Screen.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM File Screen should exist.

##### `dsc_includegroup`

Data type: `Optional[Array[String]]`

An array of File Groups to include in this File Screen.

#### Parameters

The following parameters are available in the `dsc_fsrmfilescreenexception` type.

##### `dsc_path`

namevar

Data type: `String`

The path this FSRM File Screen applies to.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmfilescreentemplate`

The DSC FSRMFileScreenTemplate resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmfilescreentemplate` type.

##### `dsc_active`

Data type: `Optional[Boolean]`

Boolean setting that controls if server should fail any I/O operations if the File Screen is violated.

##### `dsc_description`

Data type: `Optional[String]`

An optional description for this FSRM File Screen Template.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM File Screen Template should exist.

##### `dsc_includegroup`

Data type: `Optional[Array[String]]`

An array of File Groups to include in this File Screen.

#### Parameters

The following parameters are available in the `dsc_fsrmfilescreentemplate` type.

##### `dsc_name`

namevar

Data type: `String`

The unique name for this FSRM File Screen Template.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmfilescreentemplateaction`

The DSC FSRMFileScreenTemplateAction resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmfilescreentemplateaction` type.

##### `dsc_body`

Data type: `Optional[String]`

The body text of the e-mail or event. Required when Type is Email or Event.

##### `dsc_command`

Data type: `Optional[String]`

The Command to execute. Required when Type is Command.

##### `dsc_commandparameters`

Data type: `Optional[String]`

The Command Parameters. Required when Type is Command.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Action should exist.

##### `dsc_eventtype`

Data type: `Optional[Enum['None', 'Information', 'Warning', 'Error']]`

The type of event created. Required when Type is Event.

##### `dsc_killtimeout`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Int containing kill timeout of the command. Required when Type is Command.

##### `dsc_mailbcc`

Data type: `Optional[String]`

The mail BCC of the e-mail sent. Required when Type is Email.

##### `dsc_mailcc`

Data type: `Optional[String]`

The mail CC of the e-mail sent. Required when Type is Email.

##### `dsc_mailto`

Data type: `Optional[String]`

The mail to of the e-mail sent. Required when Type is Email.

##### `dsc_reporttypes`

Data type: `Optional[Array[String]]`

Array of Reports to create. Required when Type is Report.

##### `dsc_runlimitinterval`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Int containing the run limit interval of the command. Required when Type is Command.

##### `dsc_securitylevel`

Data type: `Optional[Enum['None', 'LocalService', 'NetworkService', 'LocalSystem']]`

The security level the command runs under. Required when Type is Command.

##### `dsc_shouldlogerror`

Data type: `Optional[Boolean]`

Boolean specifying if command errors should be logged. Required when Type is Command.

##### `dsc_subject`

Data type: `Optional[String]`

The subject of the e-mail sent. Required when Type is Email.

##### `dsc_workingdirectory`

Data type: `Optional[String]`

The working directory of the command. Required when Type is Command.

#### Parameters

The following parameters are available in the `dsc_fsrmfilescreentemplateaction` type.

##### `dsc_name`

namevar

Data type: `String`

The name of the FSRM File Screen Template that this Action is attached to.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_type`

namevar

Data type: `Enum['Email', 'Event', 'Command', 'Report']`

The type of FSRM Action.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmquota`

The DSC FSRMQuota resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmquota` type.

##### `dsc_description`

Data type: `Optional[String]`

An optional description for this FSRM Quota.

##### `dsc_disabled`

Data type: `Optional[Boolean]`

Disables the FSRM Quota applied to this path.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Quota should exist.

##### `dsc_matchestemplate`

Data type: `Optional[Boolean]`

Causes the template to use only the template name and ignore Size, SoftLimit and ThresholdPercentage parameters.

##### `dsc_size`

Data type: `Optional[Integer[-9223372036854775808, 9223372036854775807]]`

The size in bytes of this FSRM Quota limit.

##### `dsc_softlimit`

Data type: `Optional[Boolean]`

Controls whether this FSRM Quota has a hard or soft limit.

##### `dsc_template`

Data type: `Optional[String]`

The name of the FSRM Quota Template to apply to this path.

##### `dsc_thresholdpercentages`

Data type: `Optional[Array[Integer[0, 4294967295]]]`

An array of threshold percentages in this FSRM Quota.

#### Parameters

The following parameters are available in the `dsc_fsrmquota` type.

##### `dsc_path`

namevar

Data type: `String`

The path this FSRM Quota applies to.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmquotaaction`

The DSC FSRMQuotaAction resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmquotaaction` type.

##### `dsc_body`

Data type: `Optional[String]`

The body text of the e-mail or event. Required when Type is Email or Event.

##### `dsc_command`

Data type: `Optional[String]`

The Command to execute. Required when Type is Command.

##### `dsc_commandparameters`

Data type: `Optional[String]`

The Command Parameters. Required when Type is Command.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Action should exist.

##### `dsc_eventtype`

Data type: `Optional[Enum['None', 'Information', 'Warning', 'Error']]`

The type of event created. Required when Type is Event.

##### `dsc_killtimeout`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Int containing kill timeout of the command. Required when Type is Command.

##### `dsc_mailbcc`

Data type: `Optional[String]`

The mail BCC of the e-mail sent. Required when Type is Email.

##### `dsc_mailcc`

Data type: `Optional[String]`

The mail CC of the e-mail sent. Required when Type is Email.

##### `dsc_mailto`

Data type: `Optional[String]`

The mail to of the e-mail sent. Required when Type is Email.

##### `dsc_reporttypes`

Data type: `Optional[Array[String]]`

Array of Reports to create. Required when Type is Report.

##### `dsc_runlimitinterval`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Int containing the run limit interval of the command. Required when Type is Command.

##### `dsc_securitylevel`

Data type: `Optional[Enum['None', 'LocalService', 'NetworkService', 'LocalSystem']]`

The security level the command runs under. Required when Type is Command.

##### `dsc_shouldlogerror`

Data type: `Optional[Boolean]`

Boolean specifying if command errors should be logged. Required when Type is Command.

##### `dsc_subject`

Data type: `Optional[String]`

The subject of the e-mail sent. Required when Type is Email.

##### `dsc_workingdirectory`

Data type: `Optional[String]`

The working directory of the command. Required when Type is Command.

#### Parameters

The following parameters are available in the `dsc_fsrmquotaaction` type.

##### `dsc_path`

namevar

Data type: `String`

The path of the FSRM Quota the action applies to.

##### `dsc_percentage`

namevar

Data type: `Integer[0, 4294967295]`

This is the threshold percentage the action is attached to.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_type`

namevar

Data type: `Enum['Email', 'Event', 'Command', 'Report']`

The type of FSRM Action.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmquotatemplate`

The DSC FSRMQuotaTemplate resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmquotatemplate` type.

##### `dsc_description`

Data type: `Optional[String]`

An optional description for this FSRM Quota Template.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Quota Template should exist.

##### `dsc_size`

Data type: `Optional[Integer[-9223372036854775808, 9223372036854775807]]`

The size in bytes of this FSRM Quota Template limit.

##### `dsc_softlimit`

Data type: `Optional[Boolean]`

Controls whether this FSRM Quota Template has a hard or soft limit.

##### `dsc_thresholdpercentages`

Data type: `Optional[Array[Integer[0, 4294967295]]]`

An array of threshold percentages in this FSRM Quota Template.

#### Parameters

The following parameters are available in the `dsc_fsrmquotatemplate` type.

##### `dsc_name`

namevar

Data type: `String`

The unique name for this FSRM Quota Template.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmquotatemplateaction`

The DSC FSRMQuotaTemplateAction resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmquotatemplateaction` type.

##### `dsc_body`

Data type: `Optional[String]`

The body text of the e-mail or event. Required when Type is Email or Event.

##### `dsc_command`

Data type: `Optional[String]`

The Command to execute. Required when Type is Command.

##### `dsc_commandparameters`

Data type: `Optional[String]`

The Command Parameters. Required when Type is Command.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the FSRM Action should exist.

##### `dsc_eventtype`

Data type: `Optional[Enum['None', 'Information', 'Warning', 'Error']]`

The type of event created. Required when Type is Event.

##### `dsc_killtimeout`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Int containing kill timeout of the command. Required when Type is Command.

##### `dsc_mailbcc`

Data type: `Optional[String]`

The mail BCC of the e-mail sent. Required when Type is Email.

##### `dsc_mailcc`

Data type: `Optional[String]`

The mail CC of the e-mail sent. Required when Type is Email.

##### `dsc_mailto`

Data type: `Optional[String]`

The mail to of the e-mail sent. Required when Type is Email.

##### `dsc_reporttypes`

Data type: `Optional[Array[String]]`

Array of Reports to create. Required when Type is Report.

##### `dsc_runlimitinterval`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Int containing the run limit interval of the command. Required when Type is Command.

##### `dsc_securitylevel`

Data type: `Optional[Enum['None', 'LocalService', 'NetworkService', 'LocalSystem']]`

The security level the command runs under. Required when Type is Command.

##### `dsc_shouldlogerror`

Data type: `Optional[Boolean]`

Boolean specifying if command errors should be logged. Required when Type is Command.

##### `dsc_subject`

Data type: `Optional[String]`

The subject of the e-mail sent. Required when Type is Email.

##### `dsc_workingdirectory`

Data type: `Optional[String]`

The working directory of the command. Required when Type is Command.

#### Parameters

The following parameters are available in the `dsc_fsrmquotatemplateaction` type.

##### `dsc_name`

namevar

Data type: `String`

The name of the FSRM Quota Template that this Action is attached to.

##### `dsc_percentage`

namevar

Data type: `Integer[0, 4294967295]`

This is the threshold percentage the action is attached to.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_type`

namevar

Data type: `Enum['Email', 'Event', 'Command', 'Report']`

The type of FSRM Action.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_fsrmsettings`

The DSC FSRMSettings resource type.
Automatically generated from version 2.3.0.132

#### Properties

The following properties are available in the `dsc_fsrmsettings` type.

##### `dsc_adminemailaddress`

Data type: `Optional[String]`

Specifies a semicolon-separated list of email addresses for the recipients of any email that the server sends to the administrator.

##### `dsc_commandnotificationlimit`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the minimum number of seconds between individual running events of a command-type notification.

##### `dsc_emailnotificationlimit`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the minimum number of seconds between individual running events of an email-type notification.

##### `dsc_eventnotificationlimit`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the minimum number of seconds between individual running events of an event-type notification.

##### `dsc_fromemailaddress`

Data type: `Optional[String]`

Specifies the default email address from which FSRM sends email messages.

##### `dsc_smtpserver`

Data type: `Optional[String]`

Specifies the fully qualified domain name (FQDN) or IP address of the SMTP server that FSRM uses to send email.

#### Parameters

The following parameters are available in the `dsc_fsrmsettings` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

